Bug 187665 - Mozilla dies when X server runs out of memory
Mozilla dies when X server runs out of memory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-02 09:46 EDT by Kasper Dupont
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2006-04-02 09:46:07 EDT
Description of problem:
When the X server runs out of memory mozilla simply dies

Version-Release number of selected component (if applicable):
mozilla-1.7.12-1.5.2

How reproducible:
Happens every time

Steps to Reproduce:
1. Login from an X server with a small amouunt of memory
2. Start mozilla
3. Open a number of tabs with many pictures.
  
Actual results:
When the X serve runs out of memory mozilla dies and all mozilla windows disappears.

Expected results:
Mozilla handles the condition gracefully by removing some of the least recently
used images from the X server. And if that doesn't help show an appropriate
error message rather than terminating.
Comment 1 Christian Iseli 2007-01-19 19:51:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matěj Cepl 2007-07-18 13:21:54 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:35:06 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.